import { Mapper } from '../../db/Mapper';

class UsersMapper extends Mapper {

  public findUserBySub(sub: string): Promise<DBUser[]> {
    return super.runQuery('SELECT * FROM Users WHERE sub = ?', sub);
  }

  public createUser(sub: string, email: string, accessToken: string, refreshToken: string) {

  }

  public updateUser(sub: string, email: string, accessToken: string, refreshToken: string) {

  }

}

interface DBUser {
  sub: string;
  email: string;
  accessToken: string;
  refreshToken: string;
}

export {
  UsersMapper,
  DBUser
}
