import * as express from 'express';
import * as passport from 'passport';
var router = express.Router();

const debug = require('debug')('frame:passportSetup');

router.get('/callback', [
  passport.authenticate('oauth2', { failureRedirect: '/login' }),
  (req, res, next) => {
    res.redirect('/');
  }
]);

router.get('/logout', (req, res, next) => {
  req.session.destroy((err) => {
    res.redirect('/');
  });
});

module.exports = router;
