import * as mysql from 'mysql';

interface DbInfo {
  host: string;
  port: string;
  user: string;
  password: string;
  database: string;
}

class Database {

  constructor(public connectionOptions: DbInfo) {}

  public getConnection() {
    return mysql.createConnection(this.connectionOptions);
  }
}

export {
  DbInfo,
  Database
};
